void check_text transact (p_string response)
{
  ERR_* alarm = .;

  a, a_rc = find (response, "<title>");
  b, b_rc = find (response, "</title>");

  if (!a_rc | !b_rc)
  {
    alarm = ERR_NO_TITLE;
  }
  else
  {
    c, c_rc = find (response, "<charset>");
    d, d_rc = find (response, "</charset>");

    if (!c_rc | !d_rc)
    {
      alarm = ERR_CHARSET;
    }
    else
    {
      ...
    }
  }

  if (alarm) 
  {
    return << alarm;
  }
  else
  {
    ;
  }
}